// Get a URL, writes content to STDOUT

#include <iostream.h>
#include <http.h>

int main(int ac, char* av[])
{
	string proxy_host, proxy_port, filename, url;

	if (ac == 1)
	{
		cerr << "Usage: webget [-proxy:host] [-port:service] [-file:filename] url" << endl;
		return 1;
	}

	for (int i = 1; i < ac; i++)
	{
		if (!strncmp(av[i], "-proxy:", 7))
			proxy_host = av[i]+7;
		else if (!strncmp(av[i], "-port:", 6))
			proxy_port = av[i]+6;
		else if (!strncmp(av[i], "-file:", 6))
			filename = av[i]+6;
		else
			url = av[i];
	}

	HttpClient http;

	if (proxy_host.length())
		http.SetProxyServer(proxy_host, proxy_port);

	if (filename.length())
	{
		http.GetURL(url, filename);
		cout << "Status: " << http.GetHttpCode() << endl;
	}
	else
	{
		string s = http.GetURL(url);
		cout << s << endl;
	}

	return (http.GetHttpCode() == 200 ? 0 : 1);
}


